Package org.jfree.layouting.input.style.keys.line

## Class AlignmentBaseline

- java.lang.Object
- - org.jfree.layouting.input.style.keys.line.AlignmentBaseline

-     public class AlignmentBaseline
      extends java.lang.Object

  Creation-Date: 24.11.2005, 16:50:16
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CSSConstant` | `AFTER_EDGE` |
    `static CSSConstant` | `ALPHABETIC` |
    `static CSSConstant` | `BASELINE` |
    `static CSSConstant` | `BEFORE_EDGE` |
    `static CSSConstant` | `CENTRAL` |
    `static CSSConstant` | `HANGING` |
    `static CSSConstant` | `IDEOGRAPHIC` |
    `static CSSConstant` | `MATHEMATICAL` |
    `static CSSConstant` | `MIDDLE` |
    `static CSSConstant` | `TEXT_AFTER_EDGE` |
    `static CSSConstant` | `TEXT_BEFORE_EDGE` |
    `static CSSConstant` | `USE_SCRIPT` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASELINE

          public static final CSSConstant BASELINE

    - #### USE_SCRIPT

          public static final CSSConstant USE_SCRIPT

    - #### BEFORE_EDGE

          public static final CSSConstant BEFORE_EDGE

    - #### TEXT_BEFORE_EDGE

          public static final CSSConstant TEXT_BEFORE_EDGE

    - #### AFTER_EDGE

          public static final CSSConstant AFTER_EDGE

    - #### TEXT_AFTER_EDGE

          public static final CSSConstant TEXT_AFTER_EDGE

    - #### ALPHABETIC

          public static final CSSConstant ALPHABETIC

    - #### HANGING

          public static final CSSConstant HANGING

    - #### IDEOGRAPHIC

          public static final CSSConstant IDEOGRAPHIC

    - #### MATHEMATICAL

          public static final CSSConstant MATHEMATICAL

    - #### CENTRAL

          public static final CSSConstant CENTRAL

    - #### MIDDLE

          public static final CSSConstant MIDDLE